SET ROLE 'mo_osmo';

ALTER TABLE rounds
	ADD COLUMN	master_round_id		int	DEFAULT NULL REFERENCES rounds(round_id),
	ADD COLUMN	part			int	NOT NULL DEFAULT 0;				-- část kola (u dělených kol)

ALTER TABLE contests
	ADD COLUMN	master_contest_id	int	DEFAULT NULL REFERENCES contests(contest_id);

ALTER TABLE rounds
	DROP CONSTRAINT "rounds_year_category_seq_key",
	ADD CONSTRAINT "rounds_year_category_seq_part_key" UNIQUE (year, category, seq, part);

CREATE INDEX rounds_master_round_id_index ON rounds (master_round_id);
CREATE INDEX contests_master_contest_id_index ON contests (master_contest_id);

UPDATE rounds SET master_round_id=round_id;
UPDATE contests SET master_contest_id=contest_id;
